Imports System.ServiceModel
Imports System.ServiceModel.Activation

<ServiceContract(Namespace:="")>
<SilverLightFaultBehavior>
<AspNetCompatibilityRequirements(RequirementsMode:=AspNetCompatibilityRequirementsMode.Allowed)>
Public Class Login

  <OperationContract()>
  Public Function Authenticate(usuario As String, password As String) As Boolean
    If FormsAuthentication.Authenticate(usuario, password) Then
      Return True
    End If
    Return False
  End Function

  <OperationContract()>
  Public Sub SignOut()
    FormsAuthentication.SignOut()
  End Sub
End Class
